Subject: Re: To Devon Zatorski regarding Check#2005051
From: "LLPS Customer Service" <[email-masked]>
To: "Devon Zatorski" <[email-masked]>
Date: Wed, 20 Mar 2013 16:41:39 -0400

Hello Devon.
The posters need to be ordered annually for each location.  We can just send you a refund for the overpayment.  Please send me the address you would like the refund to go to.
Thank you,
Celeste
LLPS

From: Devon Zatorski 
Sent: Wednesday, March 20, 2013 1:32 PM
To: LLPS Customer Service 
Subject: Re: To Devon Zatorski regarding Check#2005051

Hi Celeste, 

I believe we are fine on posters at the moment.  What I'm aware of is that the posters are delivered monthly, is that correct? I believe that I may have accidentally sent an extra check so if there is any way we could apply that for this upcoming month? Thank you! 

Best, 
Devon Zatorski

On Mar 20, 2013, at 9:50 AM, "LLPS Customer Service" <[email-masked]> wrote:

  Hi Devon,
  I received your contact information from Billhighway. I called them about two checks we received from Delta Delta Delta. The first one was ck#2004965 which was for $77.25. I found an invoice in our system that had that amount due, order#1679240 so was able to apply payment to that invoice.  We also received another ck, #2005051 for $67.25. I wasn't sure if you needed another set of posters sent maybe to a different location or if the check was sent to us in error. If another set is needed, could you please email me back the address and who's attention the posters should go to. If it was sent in error, we can send a refund check to you. We would just need the address you need the refund sent to. 

  Thanks for your help!

  Celeste 
  Arizona Labor Law Poster Service